# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for normal version of BLT library
# ------------------------------------------------------------------------

#
# Try and guess the architecture
#
##ARCH != @arch
# Define one or the other:
#OPENVMS = alpha
VAXVMS = vax

# ------------------------------------------------------------------------
# 	C Compiler options 
# ------------------------------------------------------------------------

CC           	= cc
DEFINES      	=  /define=("BLT_LIBRARY=""blt_library:""","NO_BGEXEC")
TOPDIR      	= /usr/local
LIBDIR      	= /usr/local/lib
BLT_LIBRARY  	= /usr/local/lib/blt

# ------------------------------------------------------------------------
# 	Directories containing Tcl and Tk include files and libraries
# ------------------------------------------------------------------------

TCL_INCLUDE   	= 
TK_INCLUDE    	= 
X_INCLUDE     	= 

# ------------------------------------------------------------------------
# 	Don't edit anything beyond this point
# ------------------------------------------------------------------------

OBJS 		= bltGraph.obj,bltGrAxis.obj,bltGrBar.obj,bltGrElem.obj,\
		  bltGrHairs.obj,bltGrLegd.obj,bltGrLine.obj,bltGrMisc.obj,\
		  bltGrPS.obj,bltGrTag.obj, \
        	  bltCutbuffer.obj,bltBell.obj,\
        	  bltInit.obj,bltBitmap.obj,bltBusy.obj,\
		  bltDebug.obj,bltDragDrop.obj,bltHtext.obj,bltList.obj,\
		  bltTable.obj,bltUtil.obj,bltWatch.obj,bltWin.obj 

SRCS 		= bltGraph.c bltGrAxis.c bltGrBar.c bltGrElem.c \
		  bltGrHairs.c bltGrLegd.c bltGrLine.c bltGrMisc.c \
		  bltGrPS.c bltGrTag.c  \
        	  bltCutbuffer.c bltBell.c \
        	  bltInit.c bltBgexec.c bltBitmap.c bltBusy.c \
		  bltDebug.c bltDragDrop.c bltHtext.c bltList.c \
	          bltTable.c bltUtil.c bltWatch.c bltWin.c 

libname  	= libBLT.olb
INCLUDES	= []
CC_SWITCHES	= $(DEFINES) /inc=($(INCLUDES))
INSTALL  	= /bin/installbsd -c
INSTALL_DATA  	= $(INSTALL) -m 644
RANLIB   	= ranlib
SHELL    	= /bin/sh
AR       	= library/create
RM       	= rm
LINT		= lint
LINTFLAGS	= -axhbn
srcdir 		= .
VPATH		= .

.IFDEF OPENVMS
#
# For Alpha/OpenVMS
#
X11_LIB_SWITCHES =	$1$dkb0:[tcl.itcl.src]x11opt-alpha/opt
.ENDIF
.IFDEF VAXVMS
#
# For Vax/VMS
#
X11_LIB_SWITCHES =	$1$dkb0:[tcl.itcl.src]x11opt-vax/opt
.ENDIF

LIBS = []libblt.olb/libr,[--.tk36]libtk.olb/libr,[--.tcl73]libtcl/libr,$(X11_LIB_SWITCHES)

#.IFDEF OPENVMS
#
# For Alpha/OpenVMS
#
#CC_SWITCHES = /debug/prefix=all/stand=vaxc/noopt
#OPT_FILE = x11opt-alpha/opt
#.ENDIF
#.IFDEF VAXVMS
#
# For Vax/VMS
#
CC_SWITCHES = /debug
OPT_FILE = x11opt-vax/opt
#.ENDIF

CC =		cc
CFLAGS =	$(CC_SWITCHES)

.c.obj:
	def/user x11 decw$include:; \
	$(CC) $(CFLAGS) $<

all : $(libname)

$(libname) :  $(OBJS)
	- delete/nolog $@.*
	library/create $@ $(OBJS)

blt-wish.exe : tkAppInit.obj
	link/exe=$@ $(LDFLAGS) tkAppInit.obj,$(LIBS)


clean :
	-delete *.obj.*,$(libname).*,blt-wish.exe.*


.c.o:
	$(CC) $(CC_SWITCHES) $<

